Summary:        HarfBuzz text shaping engine
Name:           harfbuzz
Version:        8.1.1
Release:        6%{?dist}
License:        MIT
URL:            http://harfbuzz.org/
Source0:        https://github.com/harfbuzz/harfbuzz/releases/download/%{version}/harfbuzz-%{version}.tar.xz

BuildRequires:  gcc, gcc-c++, make, automake, libtool, gtk-doc
BuildRequires:  freetype-devel, glib2-devel, cairo-devel, gobject-introspection-devel, libicu-devel, graphite2-devel


%description
HarfBuzz is a text shaping library. Using the HarfBuzz library allows programs
to convert a sequence of Unicode input into properly formatted and positioned
glyph output—for any writing system and language.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}-icu = %{version}-%{release}

%description    devel
This package contains Harfbuzz development files.

%package        icu
Summary:        Harfbuzz ICU support library
Requires:       %{name} = %{version}-%{release}

%description    icu
This package contains Harfbuzz ICU support library.



%prep
%autosetup -p1



%build
./autogen.sh 
%configure \
  --disable-static \
  --with-graphite2 \
  --with-gobject \
  --enable-introspection \
  --disable-gtk-doc \
  --disable-gtk-doc-html \
  --disable-gtk-doc-pdf

%{make_build}


%install
%{make_install}
rm -f %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_datadir}/gtk-doc/


%check
make check



%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post icu
/sbin/ldconfig

%postun icu
/sbin/ldconfig



%files
%license COPYING
%doc NEWS AUTHORS README
%{_libdir}/libharfbuzz.so.0*
%{_libdir}/libharfbuzz-gobject.so.0*
%{_libdir}/libharfbuzz-subset.so.0*
%{_libdir}/libharfbuzz-cairo.so.*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/HarfBuzz-0.0.typelib
 
%files devel
%{_bindir}/hb-view
%{_bindir}/hb-ot-shape-closure
%{_bindir}/hb-shape
%{_bindir}/hb-subset
%{_bindir}/hb-info
%{_includedir}/harfbuzz/
%{_libdir}/libharfbuzz.so
%{_libdir}/libharfbuzz-gobject.so
%{_libdir}/libharfbuzz-icu.so
%{_libdir}/libharfbuzz-subset.so
%{_libdir}/libharfbuzz-cairo.so
%{_libdir}/pkgconfig/harfbuzz.pc
%{_libdir}/pkgconfig/harfbuzz-gobject.pc
%{_libdir}/pkgconfig/harfbuzz-icu.pc
%{_libdir}/pkgconfig/harfbuzz-subset.pc
%{_libdir}/pkgconfig/harfbuzz-cairo.pc
%{_libdir}/cmake/harfbuzz/
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/HarfBuzz-0.0.gir
 
%files icu
%{_libdir}/libharfbuzz-icu.so.*

%changelog
* Wed Dec 18 2024 Rebuild Robot <rebot@opencloudos.org> - 8.1.1-6
- [Type] other
- [DESC] Rebuilt for icu

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.1.1-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.1.1-4
- Rebuilt for loongarch release

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.1.1-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.1.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 24 2023 rockerzhu <rockerzhu@tencent.com> - 8.1.1-1
- Upgrade to 8.1.1

* Wed Aug 23 2023 rockerzhu <rockerzhu@tencent.com> - 4.2.1-4
- Rebuilt for icu 73.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.2.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.2.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri May 13 2022 Zhao Zhen <jeremiazhao@tencent.com> - 4.2.1-1
- Initial.
